Subject: Apologies

From: [email-masked] (william windsor)
Date: 20 Mar 1995 09:25:07 -0700

I recently posted an inquire regarding Morel growth in Arizona.  I am most
interested in learning "when and where" to find Morels in my home State of
Arizona, particularly in or near Tucson.

Unfortunately, my internet access went down for two weeks and I was not
able to read this newsgroup nor open my mailbox.  My mail during this
period was somehow "lost".  

I wish to apologize to anyone who may have attempted to contact me during
this time, and thank all that responded.  I am, of course, still very much
interested in hearing from anyone who may have suggestions and or
information on finding morels in Arizona.

Happy Hunting!

Bill Windsor